package com.zehong.system.mapper;

import java.util.List;
import com.zehong.system.domain.TUserGps;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author zehong
 * @date 2024-02-29
 */
public interface TUserGpsMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    public TUserGps selectTUserGpsById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tUserGps 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<TUserGps> selectTUserGpsList(TUserGps tUserGps);

    /**
     * 新增【请填写功能名称】
     * 
     * @param tUserGps 【请填写功能名称】
     * @return 结果
     */
    public int insertTUserGps(TUserGps tUserGps);

    /**
     * 修改【请填写功能名称】
     * 
     * @param tUserGps 【请填写功能名称】
     * @return 结果
     */
    public int updateTUserGps(TUserGps tUserGps);

    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    public int deleteTUserGpsById(Long id);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTUserGpsByIds(Long[] ids);
}
